> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Decline a request

> OAuth scope: `request_review.write`

Declines the pending request identified by the `id` path parameter. This request will change status from `status` = `pending` to `status` = `declined`.

You can get the list of all the requests via the [GET /v2/requests](/api-reference/business-api/endpoints/requests/list-requests) endpoint.

<Tip>
  In the [Qonto web-ap](https://app.qonto.com/), requests can be listed and declined in the \"Requests\" tab.
</Tip>




## OpenAPI

````yaml post /v2/requests/{request_type}/{id}/decline
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/requests/{request_type}/{id}/decline:
    post:
      tags:
        - Requests
      summary: Decline a request
      description: >
        OAuth scope: `request_review.write`


        Declines the pending request identified by the `id` path parameter. This
        request will change status from `status` = `pending` to `status` =
        `declined`.


        You can get the list of all the requests via the [GET
        /v2/requests](/api-reference/business-api/endpoints/requests/list-requests)
        endpoint.


        <Tip>
          In the [Qonto web-ap](https://app.qonto.com/), requests can be listed and declined in the \"Requests\" tab.
        </Tip>
      operationId: decline_request
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - $ref: '#/components/parameters/X-Qonto-Idempotency-Key'
        - name: id
          in: path
          description: UUID of the request to be processed.
          required: true
          schema:
            type: string
        - name: request_type
          in: path
          description: Type of a request to be declined.
          required: true
          schema:
            type: string
            enum:
              - flash_cards
              - virtual_cards
              - transfers
              - multi_transfers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                declined_note:
                  type: string
                  format: text
                  example: Contact your manager please
              required:
                - declined_note
      responses:
        '200':
          description: Returns the declined request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  request_virtual_card:
                    type: object
                    oneOf:
                      - $ref: '#/components/schemas/RequestTransfer'
                      - $ref: '#/components/schemas/RequestMultiTransfer'
                      - $ref: '#/components/schemas/RequestFlashCard'
                      - $ref: '#/components/schemas/RequestVirtualCard'
                    discriminator:
                      propertyName: request_type
                example:
                  request_virtual_card:
                    id: be160c90-058e-487a-b775-5b5cad3992aa
                    request_type: virtual_card
                    initiator_id: 8fdb86eb-8e49-4be8-ab60-658b680629af
                    approver_id: null
                    note: personal needs
                    declined_note: Contact your manager please
                    status: declined
                    payment_monthly_limit: '500.00'
                    currency: EUR
                    processed_at: null
                    created_at: '2021-10-11T14:28:28Z'
              examples:
                default:
                  value:
                    request_virtual_card:
                      id: be160c90-058e-487a-b775-5b5cad3992aa
                      request_type: virtual_card
                      initiator_id: 8fdb86eb-8e49-4be8-ab60-658b680629af
                      approver_id: null
                      note: personal needs
                      declined_note: Contact your manager please
                      status: declined
                      payment_monthly_limit: '500.00'
                      currency: EUR
                      processed_at: null
                      created_at: '2021-10-11T14:28:28Z'
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '404':
          $ref: '#/components/responses/404-Not-Found'
        '422':
          description: Returns an unprocessable entity error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    $ref: '#/components/schemas/UnprocessableEntityError'
                x-examples:
                  Example 1:
                    errors:
                      - code: kyc_not_accepted
                        detail: Approver kyc is not accepted
              examples:
                KYC not accepted:
                  value:
                    errors:
                      - code: kyc_not_accepted
                        detail: Approver kyc is not accepted
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - request_review.write
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
    X-Qonto-Idempotency-Key:
      name: X-Qonto-Idempotency-Key
      in: header
      required: true
      description: >-
        Learn more in [Idempotent
        Requests](/get-started/general/idempotent-requests).
      schema:
        type: string
        example: 123e4567-e89b-12d3-a456-426614174000
  schemas:
    RequestTransfer:
      type: object
      properties:
        id:
          type: string
          example: 57d28d6f-3a22-4573-990a-c62d2f7d67f0
        request_type:
          type: string
          example: transfer
        status:
          type: string
          enum:
            - pending
            - approved
            - declined
            - canceled
          example: declined
        initiator_id:
          type: string
          description: ID of the membership that initiated the request
          example: dbbb579a-f8a5-41df-8cea-09e040464366
        attachment_ids:
          type: array
          items:
            type: string
          example: []
        approver_id:
          type: string
          example: 788571b5-1aea-4aec-bb7b-366288a4ba68
        note:
          type: string
          example: Provider subscription
        declined_note:
          type: string
          example: This is not in our policy
        creditor_name:
          type: string
          example: John Doe
        amount:
          type: string
          example: '30.00'
        currency:
          type: string
          example: EUR
        scheduled_date:
          type: string
          format: date
          example: '2021-10-06'
        recurrence:
          type: string
          example: monthly
        last_recurrence_date:
          type:
            - string
            - 'null'
        processed_at:
          type: string
          format: date-time
          example: '2021-10-06T16:14:28.284Z'
        created_at:
          type: string
          format: date-time
          example: '2021-10-06T16:14:11.673Z'
    RequestMultiTransfer:
      type: object
      properties:
        id:
          type: string
          example: 68e38bca-064c-4b50-8343-26ce40f617af
        request_type:
          type: string
          example: multi_transfer
        status:
          type: string
          enum:
            - pending
            - approved
            - declined
            - canceled
          example: approved
        initiator_id:
          type: string
          description: ID of the membership that initiated the request
          example: 300d309f-a7e0-4db2-af3b-003ce0a676a4
        approver_id:
          type: string
          example: 087a7f4f-d316-4bad-810f-84807634cb9f
        note:
          type: string
          example: Scheduled multi transfer (for Aug 2022)
        declined_note:
          type:
            - string
            - 'null'
        total_transfers_amount:
          type: string
          example: '25561.80'
        total_transfers_amount_currency:
          type: string
          example: EUR
        total_transfers_count:
          type: integer
          format: int32
          example: 43
        scheduled_date:
          type: string
          format: date
          example: '2022-08-15'
        processed_at:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
          example: '2021-11-10T12:22:28.790Z'
    RequestFlashCard:
      type: object
      properties:
        id:
          type: string
          example: 965b8c57-72fd-4d12-8d85-56874104c81a
        request_type:
          type: string
          example: flash_card
        status:
          type: string
          enum:
            - pending
            - approved
            - declined
            - canceled
          example: pending
        initiator_id:
          type: string
          description: ID of the membership that initiated the request
          example: cc32875a-a590-44c7-bdc1-0680ae72b0db
        approver_id:
          type:
            - string
            - 'null'
        note:
          type: string
          example: Library subscription
        declined_note:
          type:
            - string
            - 'null'
        payment_lifespan_limit:
          type: string
          example: '250.00'
        pre_expires_at:
          type: string
          format: date-time
          example: '2022-03-15T22:59:59.999Z'
        currency:
          type: string
          example: EUR
        processed_at:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
          example: '2021-11-24T10:33:23.817Z'
    RequestVirtualCard:
      type: object
      properties:
        id:
          type: string
          example: 965b8c57-72fd-4d12-8d85-56874104c81a
        request_type:
          type: string
          example: virtual_card
        status:
          type: string
          enum:
            - pending
            - approved
            - declined
            - canceled
          example: pending
        initiator_id:
          type: string
          description: ID of the membership that initiated the request
          example: cc32875a-a590-44c7-bdc1-0680ae72b0db
        approver_id:
          type:
            - string
            - 'null'
        note:
          type: string
          example: Library subscription
        declined_note:
          type:
            - string
            - 'null'
        payment_monthly_limit:
          type: string
          example: '5.00'
        currency:
          type: string
          example: EUR
        processed_at:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
          example: '2021-11-24T10:34:51.706Z'
        card_level:
          type: string
          description: Which card level was requested
          enum:
            - virtual
            - virtual_partner
          example: virtual
        card_design:
          type: string
          description: Design of the card that was requested
          example: virtual.default.2017
    UnprocessableEntityError:
      type: object
      properties:
        status:
          type: string
          example: unprocessable entity
        code:
          type: string
          description: Error code.
          example: missing_key
        detail:
          type: string
          description: Human readable error that explains error `code`.
          example: property is missing
        message:
          type: string
          example: property id is missing
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property and the item in an array (if applicable) that
                causes the error.
              example: id
      required:
        - code
        - detail
      x-examples:
        Missing property:
          code: missing_key
          detail: property is missing
          source:
            pointer: /external_transfer/atrribute
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    NotFoundError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            parameter:
              type: string
              description: The parameter that causes the error.
      required:
        - code
        - detail
      x-examples:
        Object not found:
          code: not_found
          detail: Object not found
          source:
            parameter: id
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    404-Not-Found:
      description: Returns a not found error.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/NotFoundError'
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````